Package com.collibra.dgc.core.api.model.instance

# Interface ComplexRelationLeg

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface ComplexRelationLeg extends Resource
Represents a complex relation leg

Complex relation leg represents single leg (relation) of many-to-many association among assets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedResourceReference`
  `getAsset()`
  Deprecated.
  This method will be removed in the future.
  `AssetReference`
  `getAssetReference()`
  Returns the reference to the asset.
  `NamedResourceReference`
  `getAssetType()`
  Returns the reference to the asset type.
  `String`
  `getCoRole()`
  Returns the co-role for the asset assigned to this leg.
  `String`
  `getRole()`
  Returns the role that the asset assigned to this leg plays in the complex relation.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getAssetType

    NamedResourceReference getAssetType()
    Returns the reference to the asset type.
    Returns:
      the reference to the asset type

  - ### getAsset

    @Deprecated NamedResourceReference getAsset()
    Deprecated.
    This method will be removed in the future. Please, use `getAssetReference()`
    Returns the reference to the asset.
    Returns:
      the reference to the asset

  - ### getAssetReference

    AssetReference getAssetReference()
    Returns the reference to the asset.
    Returns:
      the reference to the asset

  - ### getRole

    String getRole()
    Returns the role that the asset assigned to this leg plays in the complex relation.
    Returns:
      the role that the asset assigned to this leg plays in the complex relation

  - ### getCoRole

    String getCoRole()
    Returns the co-role for the asset assigned to this leg.
    Returns:
      the co-role for the asset assigned to this leg